# Ropt

[![Latest Release][crates-io-badge]][crates-io-url]
[![Documentation][docs-rs-img]][docs-rs-url]

A simple, zero-dependency command line argument parser for Rust.

This crate is not intended to be everything for everyone.  This crate is
meant to cover only the basic command line parsing needed by most
software, while staying simple and lightweight. If a feature seems to be
missing--particularly if it's needed for more sophisticated
interfaces--that is likely intentional.

If you need an everything-and-the-kitchen-sink command line argument
parser, consider [clap](https://crates.io/crates/clap).  


## License

This project is licensed under either of

 * Apache License, Version 2.0, ([LICENSE-APACHE](LICENSE-APACHE) or
   http://www.apache.org/licenses/LICENSE-2.0)
 * MIT license ([LICENSE-MIT](LICENSE-MIT) or
   http://opensource.org/licenses/MIT)

at your option.


## Contributing

Unless you explicitly state otherwise, any contribution intentionally
submitted for inclusion in this project by you will be licensed as above,
without any additional terms or conditions.

This crate has zero dependencies, and aims to remain that way.  Please
adhere to this in any submitted contributions.

[crates-io-badge]: https://img.shields.io/crates/v/ropt.svg
[crates-io-url]: https://crates.io/crates/ropt
[docs-rs-img]: https://docs.rs/ropt/badge.svg
[docs-rs-url]: https://docs.rs/ropt
